<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:variable="http://xbrl.org/2008/variable" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ea="http://xbrl.org/2008/assertion/existence">
    <link:roleRef roleURI="http://holding.wp.pl/role/ias_1_role-210000" xlink:href="wpl-2021-12-31.xsd#ias_1_role-210000" xlink:type="simple"/>
    <link:roleRef roleURI="http://holding.wp.pl/role/ias_1_role-320000" xlink:href="wpl-2021-12-31.xsd#ias_1_role-320000" xlink:type="simple"/>
    <link:roleRef roleURI="http://holding.wp.pl/role/ias_1_role-410000" xlink:href="wpl-2021-12-31.xsd#ias_1_role-410000" xlink:type="simple"/>
    <link:roleRef roleURI="http://holding.wp.pl/role/ias_7_role-520000" xlink:href="wpl-2021-12-31.xsd#ias_7_role-520000" xlink:type="simple"/>
    <link:roleRef roleURI="http://holding.wp.pl/role/ias_1_role-610000" xlink:href="wpl-2021-12-31.xsd#ias_1_role-610000" xlink:type="simple"/>
    <link:roleRef roleURI="http://holding.wp.pl/role/role_000000" xlink:href="wpl-2021-12-31.xsd#role_000000" xlink:type="simple"/>
    <link:roleRef roleURI="http://holding.wp.pl/role/Anchoring" xlink:href="wpl-2021-12-31.xsd#Anchoring" xlink:type="simple"/>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/ias_1_role-210000" xlink:type="extended">
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Goodwill" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentReceivables" xlink:type="locator" xlink:label="Loc_10"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxAssets" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator" xlink:label="Loc_18"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Inventories" xlink:type="locator" xlink:label="Loc_19"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:type="locator" xlink:label="Loc_21"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_25"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator" xlink:label="Loc_27"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" xlink:label="Loc_28"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:label="Loc_30"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapital" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarnings" xlink:type="locator" xlink:label="Loc_32"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_SharePremium" xlink:type="locator" xlink:label="Loc_33"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherReserves" xlink:type="locator" xlink:label="Loc_36"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncontrollingInterests" xlink:type="locator" xlink:label="Loc_37"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="Loc_39"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisions" xlink:type="locator" xlink:label="Loc_40"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:type="locator" xlink:label="Loc_41"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxLiabilities" xlink:type="locator" xlink:label="Loc_44"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherNoncurrentNonfinancialLiabilities" xlink:type="locator" xlink:label="Loc_47"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="Loc_48"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="locator" xlink:label="Loc_49"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentProvisions" xlink:type="locator" xlink:label="Loc_50"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentProvisionsForEmployeeBenefits" xlink:type="locator" xlink:label="Loc_51"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherShorttermProvisions" xlink:type="locator" xlink:label="Loc_52"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:type="locator" xlink:label="Loc_53"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="locator" xlink:label="Loc_54"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="locator" xlink:label="Loc_57"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LongtermBorrowings" xlink:type="locator" xlink:label="Loc_58"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:type="locator" xlink:label="Loc_59"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_60"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_NonCurrentBroadcastLicenses" xlink:type="locator" xlink:label="Loc_62"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_CurrentBroadcastLicenses" xlink:type="locator" xlink:label="Loc_63"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_2" xlink:type="arc" order="1.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_3" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_5" xlink:type="arc" order="4.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_6" xlink:type="arc" order="5.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_10" xlink:type="arc" order="9.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_12" xlink:type="arc" order="11.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_14" xlink:type="arc" order="13.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_17" xlink:type="arc" order="16.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_17" xlink:to="Loc_18" xlink:type="arc" order="17.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_18" xlink:to="Loc_19" xlink:type="arc" order="18.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_18" xlink:to="Loc_20" xlink:type="arc" order="19.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_18" xlink:to="Loc_21" xlink:type="arc" order="20.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_18" xlink:to="Loc_25" xlink:type="arc" order="24.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_17" xlink:to="Loc_27" xlink:type="arc" order="26.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_28" xlink:to="Loc_29" xlink:type="arc" order="27.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_29" xlink:to="Loc_30" xlink:type="arc" order="28.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_30" xlink:to="Loc_31" xlink:type="arc" order="29.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_30" xlink:to="Loc_32" xlink:type="arc" order="30.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_30" xlink:to="Loc_33" xlink:type="arc" order="31.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_30" xlink:to="Loc_36" xlink:type="arc" order="34.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_29" xlink:to="Loc_37" xlink:type="arc" order="35.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_28" xlink:to="Loc_38" xlink:type="arc" order="36.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_38" xlink:to="Loc_39" xlink:type="arc" order="37.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_39" xlink:to="Loc_40" xlink:type="arc" order="38.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_40" xlink:to="Loc_41" xlink:type="arc" order="39.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_39" xlink:to="Loc_44" xlink:type="arc" order="42.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_39" xlink:to="Loc_47" xlink:type="arc" order="45.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_38" xlink:to="Loc_48" xlink:type="arc" order="46.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_48" xlink:to="Loc_49" xlink:type="arc" order="47.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_49" xlink:to="Loc_50" xlink:type="arc" order="48.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_50" xlink:to="Loc_51" xlink:type="arc" order="49.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_50" xlink:to="Loc_52" xlink:type="arc" order="50.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_49" xlink:to="Loc_53" xlink:type="arc" order="51.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_49" xlink:to="Loc_54" xlink:type="arc" order="52.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_48" xlink:to="Loc_57" xlink:type="arc" order="55.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_39" xlink:to="Loc_58" xlink:type="arc" order="56.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_49" xlink:to="Loc_59" xlink:type="arc" order="57.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_39" xlink:to="Loc_60" xlink:type="arc" order="58.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_49" xlink:to="Loc_61" xlink:type="arc" order="59.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_62" xlink:type="arc" order="60.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_18" xlink:to="Loc_63" xlink:type="arc" order="61.0"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/ias_1_role-320000" xlink:type="extended">
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicEarningsLossPerShareFromContinuingOperations" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicEarningsLossPerShareFromDiscontinuedOperations" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DilutedEarningsLossPerShareFromContinuingOperations" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DilutedEarningsLossPerShareFromDiscontinuedOperations" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_7"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" xlink:label="Loc_8"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_9"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" xlink:label="Loc_10"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Revenue" xlink:type="locator" xlink:label="Loc_11"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:type="locator" xlink:label="Loc_15"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:type="locator" xlink:label="Loc_16"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherExpenseByNature" xlink:type="locator" xlink:label="Loc_19"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherGainsLosses" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceIncome" xlink:type="locator" xlink:label="Loc_26"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:type="locator" xlink:label="Loc_27"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="Loc_36"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:type="locator" xlink:label="Loc_37"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CostOfMerchandiseSold" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ExpenseFromEquitysettledSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets" xlink:type="locator" xlink:label="Loc_40"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:type="locator" xlink:label="Loc_41"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ServicesExpense" xlink:type="locator" xlink:label="Loc_62"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_2" xlink:type="arc" order="1.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_3" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_4" xlink:to="Loc_5" xlink:type="arc" order="3.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_4" xlink:to="Loc_6" xlink:type="arc" order="4.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_7" xlink:to="Loc_8" xlink:type="arc" order="5.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_8" xlink:to="Loc_9" xlink:type="arc" order="6.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_9" xlink:to="Loc_10" xlink:type="arc" order="1.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_15" xlink:type="arc" order="4.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_16" xlink:type="arc" order="5.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_17" xlink:type="arc" order="6.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_19" xlink:type="arc" order="8.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_20" xlink:type="arc" order="9.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_9" xlink:to="Loc_26" xlink:type="arc" order="5.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_9" xlink:to="Loc_27" xlink:type="arc" order="6.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_9" xlink:to="Loc_31" xlink:type="arc" order="10.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_8" xlink:to="Loc_36" xlink:type="arc" order="33.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_7" xlink:to="Loc_37" xlink:type="arc" order="34.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_40" xlink:type="arc" order="12.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_9" xlink:to="Loc_41" xlink:type="arc" order="15.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_11" xlink:type="arc" order="13.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_38" xlink:type="arc" order="14.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_10" xlink:to="Loc_62" xlink:type="arc" order="15.0"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/ias_1_role-410000" xlink:type="extended">
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="locator" xlink:label="Loc_7"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_35"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_2" xlink:type="arc" order="1.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_3" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_3" xlink:to="Loc_4" xlink:type="arc" order="3.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_4" xlink:to="Loc_6" xlink:type="arc" order="5.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_4" xlink:to="Loc_7" xlink:type="arc" order="6.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_3" xlink:to="Loc_12" xlink:type="arc" order="11.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_12" xlink:to="Loc_35" xlink:type="arc" order="34.0"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/ias_7_role-520000" xlink:type="extended">
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:type="locator" xlink:label="Loc_8"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator" xlink:label="Loc_9"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForProvisions" xlink:type="locator" xlink:label="Loc_16"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForSharebasedPayments" xlink:type="locator" xlink:label="Loc_18"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="locator" xlink:label="Loc_22"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:type="locator" xlink:label="Loc_24"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_33"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_43"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_45"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_46"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="Loc_54"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:type="locator" xlink:label="Loc_57"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_62"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_66"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_69"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_70"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="locator" xlink:label="Loc_71"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="locator" xlink:label="Loc_72"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:type="locator" xlink:label="Loc_73"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_75"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesRefundClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_76"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="Loc_77"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings" xlink:type="locator" xlink:label="Loc_79"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_80"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_81"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_PaymentsForBroadcastLicenses" xlink:type="locator" xlink:label="Loc_82"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:type="locator" xlink:label="Loc_83"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:type="locator" xlink:label="Loc_84"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_RepaymentOfLiabilitiesArisingFromBusinessCombinations" xlink:type="locator" xlink:label="Loc_85"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_FinancialIncomeOnLoanRefinancing" xlink:type="locator" xlink:label="Loc_86"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_LoanForgiveness" xlink:type="locator" xlink:label="Loc_87"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_RevaluationOfInvestmentReceivable" xlink:type="locator" xlink:label="Loc_88"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_2" xlink:type="arc" order="1.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_3" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_3" xlink:to="Loc_4" xlink:type="arc" order="3.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_4" xlink:to="Loc_6" xlink:type="arc" order="5.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_8" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_9" xlink:type="arc" order="3.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_14" xlink:type="arc" order="8.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_16" xlink:type="arc" order="10.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_17" xlink:type="arc" order="11.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_18" xlink:type="arc" order="12.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_22" xlink:type="arc" order="16.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_24" xlink:type="arc" order="18.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_31" xlink:type="arc" order="30.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_33" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_38" xlink:type="arc" order="7.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_43" xlink:type="arc" order="12.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_45" xlink:type="arc" order="14.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_46" xlink:type="arc" order="15.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_54" xlink:type="arc" order="53.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_57" xlink:type="arc" order="3.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_61" xlink:type="arc" order="7.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_62" xlink:type="arc" order="8.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_63" xlink:type="arc" order="9.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_66" xlink:type="arc" order="12.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_69" xlink:type="arc" order="68.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_4" xlink:to="Loc_70" xlink:type="arc" order="69.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_71" xlink:type="arc" order="19.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_72" xlink:type="arc" order="20.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_3" xlink:to="Loc_75" xlink:type="arc" order="74.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_3" xlink:to="Loc_76" xlink:type="arc" order="75.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_79" xlink:type="arc" order="15.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_83" xlink:type="arc" order="23.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_73" xlink:type="arc" order="21.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_77" xlink:type="arc" order="24.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_80" xlink:type="arc" order="16.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_81" xlink:type="arc" order="17.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_82" xlink:type="arc" order="22.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_31" xlink:to="Loc_85" xlink:type="arc" order="27.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_86" xlink:type="arc" order="24.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_54" xlink:to="Loc_84" xlink:type="arc" order="76.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_87" xlink:type="arc" order="25.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_6" xlink:to="Loc_88" xlink:type="arc" order="77.0"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/ias_1_role-610000" xlink:type="extended">
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ChangesInEquity" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughChangesInOwnershipInterestsInSubsidiariesThatDoNotResultInLossOfControl" xlink:type="locator" xlink:label="Loc_11"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsRecognisedAsDistributionsToOwnersOfParent" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:type="locator" xlink:label="Loc_18"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_2" xlink:type="arc" order="1.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_3" xlink:type="arc" order="2.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_2" xlink:to="Loc_4" xlink:type="arc" order="3.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_11" xlink:type="arc" order="8.0"/>
        <link:calculationArc weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_12" xlink:type="arc" order="9.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_17" xlink:type="arc" order="14.0"/>
        <link:calculationArc weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Loc_1" xlink:to="Loc_18" xlink:type="arc" order="15.0"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/role_000000" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://holding.wp.pl/role/Anchoring" xlink:type="extended"/>
</link:linkbase>
